#ifndef __LineParser_h__
# define __LineParser_h__

#include "StreamReader.h"
#include "Parser.h"

namespace coreutils {
   
   class LineParser : public Parser {
      
    public:
      LineParser(StreamReader &reader);

      int parse() override;
      
   };

}

#endif
